#!/bin/sh

sBaseProductBinDir=$1
sBaseProductConfDir=$2

export sBaseProductBinDir
export sBaseProductConfDir

for path in `awk -F: '/^[^#](.+):(.+):(.+):/{print $3}' /etc/zones/index`
do
  if [ -d ${path}/root/opt/VRTS ]
  then
    echo "Deploying the agent in ZonePath = $path"
    /bin/mkdir -p ${path}/root${sBaseProductBinDir} ${path}/root${sBaseProductConfDir}
    /bin/cp -rp ${sBaseProductBinDir}/* ${path}/root${sBaseProductBinDir}
    /bin/cp -rp ${sBaseProductConfDir}/* ${path}/root${sBaseProductConfDir}
  fi
done
